﻿using System;
using System.Windows.Forms;

namespace Lab5
{
    public partial class AutoForm : Form
    {
        private AutoFormControl _autoFormControl;

        public AutoForm()
        {
            InitializeComponent();

            _autoFormControl = new AutoFormControl();
            _autoFormControl.Dock = DockStyle.Fill;
            _autoFormControl.Padding = new Padding(10);
            Controls.Add(_autoFormControl);
        }

        public void SetEditableObject(object editingObject, bool canReset)
        {
            _resetButton.Enabled = canReset;
            _autoFormControl.SetEditableObject(editingObject);
        }

        private void _resetButton_Click(object sender, EventArgs e)
        {
            _autoFormControl.ResetValues();
        }
    }
}
