﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Collections;

namespace Lab5
{
    public partial class SearchForm : Form
    {
        public SearchForm()
        {
            InitializeComponent();
        }

        public object SelectedItem
        {
            get { return _comboBox.SelectedItem; }
        }

        public void LoadItems(IEnumerable items)
        {
            LoadComboBox(_comboBox, items);
        }

        public static void LoadComboBox(ComboBox comboBox, IEnumerable items)
        {
            comboBox.Items.Clear();
            foreach (object item in items)
            {
                comboBox.Items.Add(item);
            }
            if (comboBox.Items.Count > 0)
                comboBox.SelectedIndex = 0;
        }
    }
}
